=== debian/changelog ===
lomiri-app-launch (0.1.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 10:50:23 +0200
